
CoCoA-5 - Feature #857

floor, ceil, and NearestInt for RingElem in CoCoA-5?

25 Mar 2016 22:44 - John Abbott

Status: New Start date: 25 Mar 2016

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.30 hour

Description

In CoCoALib it is possible to compute floor, ceil and NearestInt of a RingElem.

In CoCoA-5 floor and ceil may be applied only to INT and RAT (the manual just says RAT); NearestInt is not available in CoCoA-5.

What do we want to do?

Related issues:

Related to CoCoALib - Support #696: test-OrderedRing: activate or eliminate? Closed 08 May 2015

History

#1 - 25 Mar 2016 22:44 - John Abbott

- Related to Support #696: test-OrderedRing: activate or eliminate? added

#2 - 13 Oct 2016 12:59 - John Abbott

- Target version changed from CoCoA-5.2.0 spring 2017 to CoCoA-5.?.?

I am postponing this issue; perhaps I'll wait until it becomes "necessary" for some other task, then decide what to do.

#3 - 21 Feb 2019 09:17 - John Abbott

Currently it is easy to workaround the limitation: just use floor(AsRAT(c)) where c is the ringelem.

Perhaps this issue is more general: in how many other contexts ought one to be able to supply a ringelem instead of an INT or RAT?
